Color Representation

- « UI\Draw\Matrix::translate

- UI\Draw\Color::__construct »

- PHP Manual
- UI
- Color Representation

# Color Representation

(UI 0.9.9)

## Introduction

Represents RGBA colours, individual channels are accessible via public properties.

## Class synopsis

class UI\Draw\Color {
/* Constants */
const int Red;
const int Green;
const int Blue;
const int Alpha;
/* Properties */
public $r;
public $g;
public $b;
public $a;
/* Constructor */
public __construct(UI\Draw\Color `$color` = ?)
public __construct(int `$color` = ?)
/* Methods */
public getChannel(int `$channel`): float
public setChannel(int `$channel`, float `$value`): void
}

## Properties

r

  Provides access to the red channel

g

  Provides access to the green channel

b

  Provides access to the blue channel

a

  Provides access to the alpha channel

## Predefined Constants

`UI\Draw\Color::Red`

  Identifies the red channel

`UI\Draw\Color::Green`

  Identifies the green channel

`UI\Draw\Color::Blue`

  Identifies the blue channel

`UI\Draw\Color::Alpha`

  Identifies the alpha channel

## Table of Contents

- UI\Draw\Color::__construct — Construct new Color
- UI\Draw\Color::getChannel — Color Manipulation
- UI\Draw\Color::setChannel — Color Manipulation